Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class UpdateReportRow

    java.lang.Object
      com.sun.mdm.index.report.ReportRow
          com.sun.mdm.index.report.MultirowReportObject1
              com.sun.mdm.index.report.MultirowReportObject2
                  com.sun.mdm.index.report.UpdateReportRow

All Implemented Interfaces:
  java.io.Serializable

public class UpdateReportRow
extends MultirowReportObject2

Row of data for Update Report

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.report.MultirowReportObject1
`mConfig, mObjectNode`

Constructor Summary
`UpdateReportRow(TransactionSummary summary, UpdateReportConfig config)` Creates a new instance of UpdateReportRow

Method Summary
`java.lang.String` | `getEUID()` Get EUID.
`java.lang.String` | `getLID()` Get local ID.
`java.lang.String` | `getSystemCode()` Get system code.
`java.lang.String` | `getSystemUser()` Get system user.
`java.util.Date` | `getTimestamp()` Get timestamp.
`java.lang.String` | `getTransactionNumber()` Get transaction number.

Methods inherited from class com.sun.mdm.index.report.MultirowReportObject2
`getObject2, getObjects, setObjects`

Methods inherited from class com.sun.mdm.index.report.MultirowReportObject1
`constructObjectNode, getObject1, getValue, setObject1, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateReportRow

    public UpdateReportRow(TransactionSummary summary,
                           UpdateReportConfig config)
                    throws ObjectException,
                           EPathException

  Creates a new instance of UpdateReportRow

  Parameters:
    `summary` - Transaction summary.
    `config` - Update report configuration.
  Throws:
    `EPathException` - if EPath errors are encountered.
    `ObjectException` - if any other types of errors are encountered.

Method Detail

### getEUID

    public java.lang.String getEUID()
                             throws ObjectException

  Get EUID.

  Returns:
    EUID.
  Throws:
    `ObjectException` - if an error occured.

### getLID

    public java.lang.String getLID()
                            throws ObjectException

  Get local ID.

  Returns:
    local ID.
  Throws:
    `ObjectException` - if an error occured.

### getSystemCode

    public java.lang.String getSystemCode()
                                   throws ObjectException

  Get system code.

  Returns:
    system code.
  Throws:
    `ObjectException` - if an error occured.

### getSystemUser

    public java.lang.String getSystemUser()
                                   throws ObjectException

  Get system user.

  Returns:
    system user.
  Throws:
    `ObjectException` - if an error occured.

### getTimestamp

    public java.util.Date getTimestamp()
                                throws ObjectException

  Get timestamp.

  Returns:
    create date.
  Throws:
    `ObjectException` - if an error occured.

### getTransactionNumber

    public java.lang.String getTransactionNumber()
                                          throws ObjectException

  Get transaction number.

  Returns:
    transaction number.
  Throws:
    `ObjectException` - if an error occured.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.